Subject: bug#51883: 29.0.50; Command to get accidentally deleted frames back

From: Juri Linkov <[email-masked]>
Date: Sun, 16 Jan 2022 22:59:20 +0200

close 51883 29.0.50
quit

> I tried to use this, but undelete-frame-mode in the File menu
> makes no sense: when you mistakenly deleted a frame, you want
> to undelete it immediately, so you open the File menu, and
> see the message "No way, you can't undelete the deleted frame,
> because you were careless and not enabled a special mode".
>
> So the most useful case for this feature is to get the
> accidentally deleted frame back, and it fails to do this.
>
> Instead, it allows undeleting 16 frames in a special mode.
> Is there really a human that can delete 16 frames, and then
> remember what was on the 16th frame back?
>
> Rereading this thread indicates that the only concern about
> enabling this by default was the memory footprint for remembering
> 16 frames.  OTOH, this feature is really useful for remembering
> 1 frame.  So this is what should be enabled by default:

It seems this is the right thing to do, so now pushed to master.